Bug 199432 - nant: arbitrary command execution due to buildroot remainders
nant: arbitrary command execution due to buildroot remainders
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nant (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-19 11:40 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.85-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 08:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-07-19 11:40:26 EDT
See bug 193957 comment 17 (and a potential fix in comment 16 there):

/usr/bin/nant from nant-0.85-5.fc6 tries to execute NAnt.exe from a path
containing the build root, ie. /var/tmp/... which is world writable, resulting
in arbitrary command execution vulnerability.
Comment 1 Paul F. Johnson 2006-07-20 08:26:42 EDT
This has been fixed in 0.85-6

Note You need to log in before you can comment on or make changes to this bug.